Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Delete Webhook Endpoint

DELETE
/webhook_endpoints/{webhook_endpoint_id}

Deletes a webhook endpoint for the authenticated project.

Delete Webhook Endpoint

curl https://api.openai.com/v1/webhook_endpoints/$WEBHOOK_ENDPOINT_ID \
    -X DELETE \
    -H "Authorization: Bearer $OPENAI_API_KEY"
200 — Example
{
  "id": "id",
  "deleted": true,
  "object": "webhook_endpoint.deleted"
}
Path Parameters
webhook_endpoint_id: string

The ID of the webhook endpoint to delete.

Returns
DeletedWebhookEndpoint object { id, deleted, object }
id: string

The ID of the deleted webhook endpoint.

deleted: boolean

Whether the endpoint was deleted.

object: "webhook_endpoint.deleted" (default: "webhook_endpoint.deleted")

The object type, which is always webhook_endpoint.deleted.

Returns Examples
200 — Example
{
  "id": "id",
  "deleted": true,
  "object": "webhook_endpoint.deleted"
}